# Nemo modelfactors

Script used to get important metrics from NEMO.

The script obtains data from a single nemo timestep, so keep in mind that the results of this basic analysis
will only be accurate on longer simulations where the inicialitzation and finalitzation are close to 0% of the time.

# Installation and requeriments

This script requires the following BSCTOOLS to be installed, loaded and available through the PATH environment variable.
 
* *Extrae (4.0.0 or above)* 
* *Paraver*
* *Dimemas (latest has a bug use 5.4.2-devel instead)* 
* *Basicanalysis* 

*Tools available at https://tools.bsc.es/downloads*

Also the different modules needed to compile and execute NEMO should be loaded before the script execution.

* Perl interpreter
* Fortran compiler (ifort, gfortran, pgfortran, ftn, …),
* Message Passing Interface (MPI) implementation (e.g. OpenMPI or MPICH).
* Network Common Data Form (NetCDF) library with its underlying Hierarchical Data Form (HDF)


# Usage

* Copy all the content of this folder into the folder with the input data for NEMO
* Edit the file perf_metrics.config and replace the parameters values with the suited information.
* Execute perf_metrics.bash
```
./perf_metrics.bash
```
* If the script executed without problems the data will be ready at the Metrics folder.
